Bug 114623 - Creation of Article by trusted user does not return to /content-centre after publication step
Creation of Article by trusted user does not return to /content-centre after ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: APLAWS-usability (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Daniel Berrange
http://aplaws-ws3.ccm-demo.redhat.de/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-30 06:46 EST by Lindsay Ould
Modified: 2010-09-03 10:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-03 10:29:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lindsay Ould 2004-01-30 06:46:46 EST
Description of problem:When logged on as trusted user - user should 
be redirected to /content-centre after selected publish button on 
lifecycle screen


Version-Release number of selected component (if applicable):


How reproducible:always


Steps to Reproduce:
1.loggon as trusted user
2.create article
3.select publish button on lifecycle screen
  
Actual results:
user is left on publishing screen rather than being re-directed 
to /content-centre

Expected results:
Expected to be returned to /content-centre as per 113697/113701 
discussions - can the redirect work on the lifecycle - publishing 
screen??  I think your notes of 19/1 state for trusted user that it 
goes from finish authoring to publish but can it then redirect from 
lifecycle to /content-centre rather than publish?

Additional info:
Comment 1 Scott Seago 2004-01-30 16:12:28 EST
We could probably tie "redirect upon publish" functionality to the
same "streamlined creation" toggle that we implemented for the
redirect-upon-authoring-completion -- although we would have to do the
redirect for all publishing actions rather than just for trusted
workflow. In the default case (i.e. without "streamlined creation"
active), behaviour would be unchanged.
Comment 2 Lindsay Ould 2004-02-02 04:14:32 EST
Yes I think this would be the best solution - then all users will 
use /content-centre as their 'home page' and be returned there after 
their task
Comment 3 Scott Seago 2004-02-02 17:42:41 EST
Checked in fix @39996
Comment 4 David Lawrence 2006-07-17 23:30:18 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.

Note You need to log in before you can comment on or make changes to this bug.